### Method

# Gtk PrintJob set_source_file

#### Declaration [src]

    gboolean
    gtk_print_job_set_source_file (
      GtkPrintJob* job,
      const char* filename,
      GError** error
    )

#### Description [src]

Make the `GtkPrintJob` send an existing document to the printing system.

The file can be in any format understood by the platforms printing system (typically PostScript, but on many platforms PDF may work too). See gtk_printer_accepts_pdf() and gtk_printer_accepts_ps().

#### Parameters

`filename` | `const char*`
| The file to be printed.
| The data is owned by the caller of the function.
| The string is a file system path, using the OS encoding.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `FALSE` if an error occurred.